Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -1205,11 +1188,11 @@
     INTEGER, ALLOCATABLE, SAVE :: iGCM(:), jGCM(:)
     !$OMP THREADPRIVATE(iGCM, jGCM)
-    logical, dimension(nfiles)            :: phys_out_filestations
-    logical, parameter :: lNMC=.FALSE.
+    logical, dimension(nfiles) :: phys_out_filestations
+    logical, parameter :: lNMC = .FALSE.
 
     !IM betaCRF
     REAL, SAVE :: pfree, beta_pbl, beta_free
     !$OMP THREADPRIVATE(pfree, beta_pbl, beta_free)
-    REAL, SAVE :: lon1_beta,  lon2_beta, lat1_beta, lat2_beta
+    REAL, SAVE :: lon1_beta, lon2_beta, lat1_beta, lat2_beta
     !$OMP THREADPRIVATE(lon1_beta,  lon2_beta, lat1_beta, lat2_beta)
     LOGICAL, SAVE :: mskocean_beta
@@ -1231,33 +1214,33 @@
     REAL :: calday, zxsnow_dummy(klon)
     ! set de variables utilisees pour l'initialisation des valeurs provenant de INCA
-    REAL, DIMENSION(klon,klev,naero_grp,nbands) :: init_tauinca
-    REAL, DIMENSION(klon,klev,naero_grp,nbands) :: init_pizinca
-    REAL, DIMENSION(klon,klev,naero_grp,nbands) :: init_cginca
-    REAL, DIMENSION(klon,klev,nbands) :: init_ccminca
-    REAL, DIMENSION(klon,nbtr) :: init_source
+    REAL, DIMENSION(klon, klev, naero_grp, nbands) :: init_tauinca
+    REAL, DIMENSION(klon, klev, naero_grp, nbands) :: init_pizinca
+    REAL, DIMENSION(klon, klev, naero_grp, nbands) :: init_cginca
+    REAL, DIMENSION(klon, klev, nbands) :: init_ccminca
+    REAL, DIMENSION(klon, nbtr) :: init_source
 
     !lwoff=y : offset LW CRE for radiation code and other schemes
-    REAL, SAVE :: betalwoff 
+    REAL, SAVE :: betalwoff
     !$OMP THREADPRIVATE(betalwoff)
-!
+
     INTEGER :: nbtr_tmp ! Number of tracer inside concvl
-    REAL, dimension(klon,klev) :: sh_in ! Specific humidity entering in phytrac
-    REAL, dimension(klon,klev) :: ch_in ! Condensed humidity entering in phytrac (eau liquide)
+    REAL, dimension(klon, klev) :: sh_in ! Specific humidity entering in phytrac
+    REAL, dimension(klon, klev) :: ch_in ! Condensed humidity entering in phytrac (eau liquide)
     integer iostat
 
-    REAL, dimension(klon,klev+1) :: l_mix_ave, wprime_ave
+    REAL, dimension(klon, klev + 1) :: l_mix_ave, wprime_ave
     REAL zzz
     !albedo SB >>>
-    REAL,DIMENSION(6), SAVE :: SFRWL
-!$OMP THREADPRIVATE(SFRWL)
+    REAL, DIMENSION(6), SAVE :: SFRWL
+    !$OMP THREADPRIVATE(SFRWL)
     !albedo SB <<<
 
     !--OB variables for mass fixer (hard coded for now)
-    REAL qql1(klon),qql2(klon),corrqql
+    REAL qql1(klon), qql2(klon), corrqql
 
     !--OB flag to activate better conservation of water tendency when convection is not called every timestep
-    LOGICAL, PARAMETER :: ok_conserv_d_q_con=.FALSE.
-
-    REAL, dimension(klon,klev) :: t_env,q_env
+    LOGICAL, PARAMETER :: ok_conserv_d_q_con = .FALSE.
+
+    REAL, dimension(klon, klev) :: t_env, q_env
 
     REAL, dimension(klon) :: pr_et
@@ -1269,5 +1252,5 @@
 
     !AI namelist pour gerer le double appel de Ecrad
-    CHARACTER(len=512) :: namelist_ecrad_file
+    CHARACTER(len = 512) :: namelist_ecrad_file
 
     !======================================================================!
@@ -1277,40 +1260,39 @@
     !======================================================================!
     if (debut) then                                                        !
-       iflag_physiq=0
-       call getin_p('iflag_physiq', iflag_physiq)                          !
+      iflag_physiq = 0
+      call getin_p('iflag_physiq', iflag_physiq)                          !
     endif                                                                  !
-    if ( iflag_physiq == 2 ) then                                          !
-       call physiqex (nlon,nlev, &                                         !
-       debut,lafin,pdtphys_, &                                             !
-       paprs,pplay,pphi,pphis,presnivs, &                                  !
-       u,v,rot,t,qx, &                                                     !
-       flxmass_w, &                                                        !
-       d_u, d_v, d_t, d_qx, d_ps)                                          !
-       return                                                              !
+    if (iflag_physiq == 2) then                                          !
+      call physiqex (nlon, nlev, &                                         !
+              debut, lafin, pdtphys_, &                                             !
+              paprs, pplay, pphi, pphis, presnivs, &                                  !
+              u, v, rot, t, qx, &                                                     !
+              flxmass_w, &                                                        !
+              d_u, d_v, d_t, d_qx, d_ps)                                          !
+      return                                                              !
     endif                                                                  !
     !======================================================================!
 
-
     pi = 4. * ATAN(1.)
 
     ! set-up call to alerte function
     call_alert = (alert_first_call .AND. is_master)
-    
+
     ! Ehouarn: set value of jjmp1 since it is no longer a "fixed parameter"
-    jjmp1=nbp_lat
+    jjmp1 = nbp_lat
 
     !======================================================================
     ! Gestion calendrier : mise a jour du module phys_cal_mod
-    !
-    pdtphys=pdtphys_
+
+    pdtphys = pdtphys_
     CALL update_time(pdtphys)
-    phys_tstep=NINT(pdtphys)
-    IF (.NOT. using_xios) missing_val=nf90_fill_real
+    phys_tstep = NINT(pdtphys)
+    IF (.NOT. using_xios) missing_val = nf90_fill_real
 
     IF (using_xios) THEN
-      ! switch to XIOS LMDZ physics context 
+      ! switch to XIOS LMDZ physics context
       IF (.NOT. debut .AND. is_omp_master) THEN
         CALL wxios_set_context()
-        CALL xios_update_calendar(itap+1)
+        CALL xios_update_calendar(itap + 1)
       ENDIF
     ENDIF
@@ -1322,22 +1304,22 @@
     !======================================================================
     IF (prt_level>=1) THEN
-       igout=klon/2+1/klon
-       write(lunout,*) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
-       write(lunout,*) 'igout, lat, lon ',igout, latitude_deg(igout), &
-            longitude_deg(igout)
-       write(lunout,*) &
-            'nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur,pdtphys'
-       write(lunout,*) &
-            nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur,pdtphys 
-
-       write(lunout,*) 'paprs, play, phi, u, v, t'
-       DO k=1,klev
-          write(lunout,*) paprs(igout,k),pplay(igout,k),pphi(igout,k), &
-               u(igout,k),v(igout,k),t(igout,k)
-       ENDDO
-       write(lunout,*) 'ovap (g/kg),  oliq (g/kg)'
-       DO k=1,klev
-          write(lunout,*) qx(igout,k,1)*1000,qx(igout,k,2)*1000.
-       ENDDO
+      igout = klon / 2 + 1 / klon
+      write(lunout, *) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
+      write(lunout, *) 'igout, lat, lon ', igout, latitude_deg(igout), &
+              longitude_deg(igout)
+      write(lunout, *) &
+              'nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur,pdtphys'
+      write(lunout, *) &
+              nlon, klev, nqtot, debut, lafin, jD_cur, jH_cur, pdtphys
+
+      write(lunout, *) 'paprs, play, phi, u, v, t'
+      DO k = 1, klev
+        write(lunout, *) paprs(igout, k), pplay(igout, k), pphi(igout, k), &
+                u(igout, k), v(igout, k), t(igout, k)
+      ENDDO
+      write(lunout, *) 'ovap (g/kg),  oliq (g/kg)'
+      DO k = 1, klev
+        write(lunout, *) qx(igout, k, 1) * 1000, qx(igout, k, 2) * 1000.
+      ENDDO
     ENDIF
 
@@ -1346,190 +1328,189 @@
             "physiq_mod paprs bad order")
 
-    IF (first) THEN 
-       ivap = strIdx(tracers(:)%name, addPhase('H2O', 'g'))
-       iliq = strIdx(tracers(:)%name, addPhase('H2O', 'l'))
-       isol = strIdx(tracers(:)%name, addPhase('H2O', 's'))
-       irneb= strIdx(tracers(:)%name, addPhase('H2O', 'r'))
-       ibs  = strIdx(tracers(:)%name, addPhase('H2O', 'b'))
-!       CALL init_etat0_limit_unstruct
-!       IF (.NOT. create_etat0_limit) CALL init_limit_read(days_elapsed)
-       !CR:nvelles variables convection/poches froides
-
-       WRITE(lunout,*) '================================================='
-       WRITE(lunout,*) 'Allocation des variables locales et sauvegardees'
-       WRITE(lunout,*) '================================================='
-       CALL phys_local_var_init
-       !
-       !     appel a la lecture du run.def physique
-       CALL conf_phys(ok_journe, ok_mensuel, &
-            ok_instan, ok_hf, &
-            ok_LES, &
-            callstats, &
-            solarlong0,seuil_inversion, &
-            fact_cldcon, facttemps,ok_newmicro,iflag_radia, &
-            iflag_cld_th,ratqsbas,ratqshaut,tau_ratqs, &
-            ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan, flag_volc_surfstrat, aerosol_couple, &
-            chemistry_couple, flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
-            flag_bc_internal_mixture, bl95_b0, bl95_b1, &
-                                ! nv flags pour la convection et les
-                                ! poches froides
-            read_climoz, &
-            alp_offset)
-       CALL init_etat0_limit_unstruct
-       IF (.NOT. create_etat0_limit) CALL init_limit_read(days_elapsed)
-       CALL phys_state_var_init(read_climoz)
-       CALL phys_output_var_init
-       IF (read_climoz>=1 .AND. create_etat0_limit .AND. grid_type==unstructured) & 
-          CALL regr_horiz_time_climoz(read_climoz,ok_daily_climoz)
-
-       print*, '================================================='
-       !
-       !CR: check sur le nb de traceurs de l eau
-       IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
-          WRITE (lunout, *) ' iflag_ice_thermo==1 requires 3 H2O tracers ', &
-               '(H2O_g, H2O_l, H2O_s) but nqo=', nqo, '. Might as well stop here.'
-          abort_message='see above'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-
-       IF (ok_ice_sursat.AND.(iflag_ice_thermo==0)) THEN
-          WRITE (lunout, *) ' ok_ice_sursat=y requires iflag_ice_thermo=1 as well'
-          abort_message='see above'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-
-       IF (ok_ice_sursat.AND.(nqo<4)) THEN
-          WRITE (lunout, *) ' ok_ice_sursat=y requires 4 H2O tracers ', &
-               '(H2O_g, H2O_l, H2O_s, H2O_r) but nqo=', nqo, '. Might as well stop here.'
-          abort_message='see above'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-
-       IF (ok_plane_h2o.AND..NOT.ok_ice_sursat) THEN
-          WRITE (lunout, *) ' ok_plane_h2o=y requires ok_ice_sursat=y '
-          abort_message='see above'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-
-       IF (ok_plane_contrail.AND..NOT.ok_ice_sursat) THEN
-          WRITE (lunout, *) ' ok_plane_contrail=y requires ok_ice_sursat=y '
-          abort_message='see above'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-
-        IF (ok_bs) THEN
-         IF ((ok_ice_sursat.AND.nqo <5).OR.(.NOT.ok_ice_sursat.AND.nqo<4)) THEN
-             WRITE (lunout, *) 'activation of blowing snow needs a specific H2O tracer', &
-                               'but nqo=', nqo
-             abort_message='see above'
-             CALL abort_physic(modname,abort_message, 1)
-         ENDIF
+    IF (first) THEN
+      ivap = strIdx(tracers(:)%name, addPhase('H2O', 'g'))
+      iliq = strIdx(tracers(:)%name, addPhase('H2O', 'l'))
+      isol = strIdx(tracers(:)%name, addPhase('H2O', 's'))
+      irneb = strIdx(tracers(:)%name, addPhase('H2O', 'r'))
+      ibs = strIdx(tracers(:)%name, addPhase('H2O', 'b'))
+      !       CALL init_etat0_limit_unstruct
+      !       IF (.NOT. create_etat0_limit) CALL init_limit_read(days_elapsed)
+      !CR:nvelles variables convection/poches froides
+
+      WRITE(lunout, *) '================================================='
+      WRITE(lunout, *) 'Allocation des variables locales et sauvegardees'
+      WRITE(lunout, *) '================================================='
+      CALL phys_local_var_init
+
+      !     appel a la lecture du run.def physique
+      CALL conf_phys(ok_journe, ok_mensuel, &
+              ok_instan, ok_hf, &
+              ok_LES, &
+              callstats, &
+              solarlong0, seuil_inversion, &
+              fact_cldcon, facttemps, ok_newmicro, iflag_radia, &
+              iflag_cld_th, ratqsbas, ratqshaut, tau_ratqs, &
+              ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan, flag_volc_surfstrat, aerosol_couple, &
+              chemistry_couple, flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
+              flag_bc_internal_mixture, bl95_b0, bl95_b1, &
+              ! nv flags pour la convection et les
+              ! poches froides
+              read_climoz, &
+              alp_offset)
+      CALL init_etat0_limit_unstruct
+      IF (.NOT. create_etat0_limit) CALL init_limit_read(days_elapsed)
+      CALL phys_state_var_init(read_climoz)
+      CALL phys_output_var_init
+      IF (read_climoz>=1 .AND. create_etat0_limit .AND. grid_type==unstructured) &
+              CALL regr_horiz_time_climoz(read_climoz, ok_daily_climoz)
+
+      print*, '================================================='
+
+      !CR: check sur le nb de traceurs de l eau
+      IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
+        WRITE (lunout, *) ' iflag_ice_thermo==1 requires 3 H2O tracers ', &
+                '(H2O_g, H2O_l, H2O_s) but nqo=', nqo, '. Might as well stop here.'
+        abort_message = 'see above'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      IF (ok_ice_sursat.AND.(iflag_ice_thermo==0)) THEN
+        WRITE (lunout, *) ' ok_ice_sursat=y requires iflag_ice_thermo=1 as well'
+        abort_message = 'see above'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      IF (ok_ice_sursat.AND.(nqo<4)) THEN
+        WRITE (lunout, *) ' ok_ice_sursat=y requires 4 H2O tracers ', &
+                '(H2O_g, H2O_l, H2O_s, H2O_r) but nqo=', nqo, '. Might as well stop here.'
+        abort_message = 'see above'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      IF (ok_plane_h2o.AND..NOT.ok_ice_sursat) THEN
+        WRITE (lunout, *) ' ok_plane_h2o=y requires ok_ice_sursat=y '
+        abort_message = 'see above'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      IF (ok_plane_contrail.AND..NOT.ok_ice_sursat) THEN
+        WRITE (lunout, *) ' ok_plane_contrail=y requires ok_ice_sursat=y '
+        abort_message = 'see above'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      IF (ok_bs) THEN
+        IF ((ok_ice_sursat.AND.nqo <5).OR.(.NOT.ok_ice_sursat.AND.nqo<4)) THEN
+          WRITE (lunout, *) 'activation of blowing snow needs a specific H2O tracer', &
+                  'but nqo=', nqo
+          abort_message = 'see above'
+          CALL abort_physic(modname, abort_message, 1)
         ENDIF
-
-       Ncvpaseq1 = 0
-       dnwd0=0.0
-       ftd=0.0
-       fqd=0.0
-       cin=0.
-       !ym Attention pbase pas initialise dans concvl !!!!
-       pbase=0
-       !IM 180608
-
-       itau_con=0
-       first=.FALSE.
+      ENDIF
+
+      Ncvpaseq1 = 0
+      dnwd0 = 0.0
+      ftd = 0.0
+      fqd = 0.0
+      cin = 0.
+      !ym Attention pbase pas initialise dans concvl !!!!
+      pbase = 0
+      !IM 180608
+
+      itau_con = 0
+      first = .FALSE.
 
     ENDIF  ! first
 
-    !ym => necessaire pour iflag_con != 2    
-    pmfd(:,:) = 0.
-    pen_u(:,:) = 0.
-    pen_d(:,:) = 0.
-    pde_d(:,:) = 0.
-    pde_u(:,:) = 0.
-    aam=0.
-    d_t_adjwk(:,:)=0
-    d_q_adjwk(:,:)=0
-
-    alp_bl_conv(:)=0.
-
-    torsfc=0.
-    forall (k=1: nbp_lev) zmasse(:, k) = (paprs(:, k)-paprs(:, k+1)) / rg
-
+    !ym => necessaire pour iflag_con != 2
+    pmfd(:, :) = 0.
+    pen_u(:, :) = 0.
+    pen_d(:, :) = 0.
+    pde_d(:, :) = 0.
+    pde_u(:, :) = 0.
+    aam = 0.
+    d_t_adjwk(:, :) = 0
+    d_q_adjwk(:, :) = 0
+
+    alp_bl_conv(:) = 0.
+
+    torsfc = 0.
+    forall (k = 1:nbp_lev) zmasse(:, k) = (paprs(:, k) - paprs(:, k + 1)) / rg
 
     IF (debut) THEN
-       CALL suphel ! initialiser constantes et parametres phys.
-! tau_gl : constante de rappel de la temperature a la surface de la glace - en
-       tau_gl=5.
-       CALL getin_p('tau_gl', tau_gl)
-! tau_gl : constante de rappel de la temperature a la surface de la glace - en
-! secondes
-       tau_gl=86400.*tau_gl
-       WRITE(lunout,*) 'debut physiq_mod tau_gl=',tau_gl
-       iflag_thermcell_tke=0
-       call getin_p('iflag_thermcell_tke', iflag_thermcell_tke)                          !
-
-       CALL getin_p('iflag_alp_wk_cond', iflag_alp_wk_cond) 
-       CALL getin_p('random_notrig_max',random_notrig_max)
-       CALL getin_p('ok_adjwk',ok_adjwk) 
-       IF (ok_adjwk) iflag_adjwk=2  ! for compatibility with older versions
-       ! iflag_adjwk: ! 0 = Default: no convective adjustment of w-region
-                      ! 1 => convective adjustment but state variables are unchanged
-                      ! 2 => convective adjustment and state variables are changed
-       CALL getin_p('iflag_adjwk',iflag_adjwk)
-       CALL getin_p('dtcon_multistep_max',dtcon_multistep_max)
-       CALL getin_p('dqcon_multistep_max',dqcon_multistep_max)
-       CALL getin_p('oliqmax',oliqmax)
-       CALL getin_p('oicemax',oicemax)
-       CALL getin_p('ratqsp0',ratqsp0)
-       CALL getin_p('ratqsdp',ratqsdp)
-       iflag_wake_tend = 0
-       CALL getin_p('iflag_wake_tend',iflag_wake_tend)
-       ok_bad_ecmwf_thermo=.TRUE. ! By default thermodynamical constants are set 
-                                  ! in rrtm/suphec.F90 (and rvtmp2 is set to 0).
-       CALL getin_p('ok_bad_ecmwf_thermo',ok_bad_ecmwf_thermo)
-       CALL getin_p('ok_bug_cv_trac',ok_bug_cv_trac)
-       CALL getin_p('ok_bug_split_th',ok_bug_split_th)
-       CALL getin_p('ok_bug_ajs_cv',ok_bug_ajs_cv)
-       fl_ebil = 0 ! by default, conservation diagnostics are desactivated
-       CALL getin_p('fl_ebil',fl_ebil)
-       fl_cor_ebil = 0 ! by default, no correction to ensure energy conservation
-       CALL getin_p('fl_cor_ebil',fl_cor_ebil)
-       iflag_phytrac = 1 ! by default we do want to call phytrac
-       CALL getin_p('iflag_phytrac',iflag_phytrac)
-
-       ok_water_mass_fixer=.FALSE.  ! OB: by default we do not apply the mass fixer
-       CALL getin_p('ok_water_mass_fixer',ok_water_mass_fixer)
-#ifdef CPP_Dust
-       IF (iflag_phytrac.EQ.0) THEN 
-         WRITE(lunout,*) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
-         iflag_phytrac = 1
-       ENDIF
-#endif
-       nvm_lmdz = 13
-       CALL getin_p('NVM',nvm_lmdz)
-
-       WRITE(lunout,*) 'iflag_alp_wk_cond=',  iflag_alp_wk_cond
-       WRITE(lunout,*) 'random_ntrig_max=',   random_notrig_max
-       WRITE(lunout,*) 'ok_adjwk=',           ok_adjwk
-       WRITE(lunout,*) 'iflag_adjwk=',        iflag_adjwk
-       WRITE(lunout,*) 'qtcon_multistep_max=',dtcon_multistep_max 
-       WRITE(lunout,*) 'qdcon_multistep_max=',dqcon_multistep_max 
-       WRITE(lunout,*) 'ratqsp0=',            ratqsp0
-       WRITE(lunout,*) 'ratqsdp=',            ratqsdp 
-       WRITE(lunout,*) 'iflag_wake_tend=',    iflag_wake_tend
-       WRITE(lunout,*) 'ok_bad_ecmwf_thermo=',ok_bad_ecmwf_thermo 
-       WRITE(lunout,*) 'ok_bug_cv_trac=',     ok_bug_cv_trac 
-       WRITE(lunout,*) 'ok_bug_split_th=',    ok_bug_split_th
-       WRITE(lunout,*) 'fl_ebil=',            fl_ebil
-       WRITE(lunout,*) 'fl_cor_ebil=',        fl_cor_ebil
-       WRITE(lunout,*) 'iflag_phytrac=',      iflag_phytrac
-       WRITE(lunout,*) 'ok_water_mass_fixer=',ok_water_mass_fixer
-       WRITE(lunout,*) 'NVM=',                nvm_lmdz
-
-       !--PC: defining fields to be exchanged between LMDz, ORCHIDEE and NEMO
-       WRITE(lunout,*) 'Call to infocfields from physiq'
-       CALL infocfields_init
-
-       !AI 08 2023
+      CALL suphel ! initialiser constantes et parametres phys.
+      ! tau_gl : constante de rappel de la temperature a la surface de la glace - en
+      tau_gl = 5.
+      CALL getin_p('tau_gl', tau_gl)
+      ! tau_gl : constante de rappel de la temperature a la surface de la glace - en
+      ! secondes
+      tau_gl = 86400. * tau_gl
+      WRITE(lunout, *) 'debut physiq_mod tau_gl=', tau_gl
+      iflag_thermcell_tke = 0
+      call getin_p('iflag_thermcell_tke', iflag_thermcell_tke)                          !
+
+      CALL getin_p('iflag_alp_wk_cond', iflag_alp_wk_cond)
+      CALL getin_p('random_notrig_max', random_notrig_max)
+      CALL getin_p('ok_adjwk', ok_adjwk)
+      IF (ok_adjwk) iflag_adjwk = 2  ! for compatibility with older versions
+      ! iflag_adjwk: ! 0 = Default: no convective adjustment of w-region
+      ! 1 => convective adjustment but state variables are unchanged
+      ! 2 => convective adjustment and state variables are changed
+      CALL getin_p('iflag_adjwk', iflag_adjwk)
+      CALL getin_p('dtcon_multistep_max', dtcon_multistep_max)
+      CALL getin_p('dqcon_multistep_max', dqcon_multistep_max)
+      CALL getin_p('oliqmax', oliqmax)
+      CALL getin_p('oicemax', oicemax)
+      CALL getin_p('ratqsp0', ratqsp0)
+      CALL getin_p('ratqsdp', ratqsdp)
+      iflag_wake_tend = 0
+      CALL getin_p('iflag_wake_tend', iflag_wake_tend)
+      ok_bad_ecmwf_thermo = .TRUE. ! By default thermodynamical constants are set
+      ! in rrtm/suphec.F90 (and rvtmp2 is set to 0).
+      CALL getin_p('ok_bad_ecmwf_thermo', ok_bad_ecmwf_thermo)
+      CALL getin_p('ok_bug_cv_trac', ok_bug_cv_trac)
+      CALL getin_p('ok_bug_split_th', ok_bug_split_th)
+      CALL getin_p('ok_bug_ajs_cv', ok_bug_ajs_cv)
+      fl_ebil = 0 ! by default, conservation diagnostics are desactivated
+      CALL getin_p('fl_ebil', fl_ebil)
+      fl_cor_ebil = 0 ! by default, no correction to ensure energy conservation
+      CALL getin_p('fl_cor_ebil', fl_cor_ebil)
+      iflag_phytrac = 1 ! by default we do want to call phytrac
+      CALL getin_p('iflag_phytrac', iflag_phytrac)
+
+      ok_water_mass_fixer = .FALSE.  ! OB: by default we do not apply the mass fixer
+      CALL getin_p('ok_water_mass_fixer', ok_water_mass_fixer)
+      IF (CPPKEY_DUST) THEN
+        IF (iflag_phytrac.EQ.0) THEN
+          WRITE(lunout, *) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
+          iflag_phytrac = 1
+        ENDIF
+      END IF
+      nvm_lmdz = 13
+      CALL getin_p('NVM', nvm_lmdz)
+
+      WRITE(lunout, *) 'iflag_alp_wk_cond=', iflag_alp_wk_cond
+      WRITE(lunout, *) 'random_ntrig_max=', random_notrig_max
+      WRITE(lunout, *) 'ok_adjwk=', ok_adjwk
+      WRITE(lunout, *) 'iflag_adjwk=', iflag_adjwk
+      WRITE(lunout, *) 'qtcon_multistep_max=', dtcon_multistep_max
+      WRITE(lunout, *) 'qdcon_multistep_max=', dqcon_multistep_max
+      WRITE(lunout, *) 'ratqsp0=', ratqsp0
+      WRITE(lunout, *) 'ratqsdp=', ratqsdp
+      WRITE(lunout, *) 'iflag_wake_tend=', iflag_wake_tend
+      WRITE(lunout, *) 'ok_bad_ecmwf_thermo=', ok_bad_ecmwf_thermo
+      WRITE(lunout, *) 'ok_bug_cv_trac=', ok_bug_cv_trac
+      WRITE(lunout, *) 'ok_bug_split_th=', ok_bug_split_th
+      WRITE(lunout, *) 'fl_ebil=', fl_ebil
+      WRITE(lunout, *) 'fl_cor_ebil=', fl_cor_ebil
+      WRITE(lunout, *) 'iflag_phytrac=', iflag_phytrac
+      WRITE(lunout, *) 'ok_water_mass_fixer=', ok_water_mass_fixer
+      WRITE(lunout, *) 'NVM=', nvm_lmdz
+
+      !--PC: defining fields to be exchanged between LMDz, ORCHIDEE and NEMO
+      WRITE(lunout, *) 'Call to infocfields from physiq'
+      CALL infocfields_init
+
+      !AI 08 2023
 #ifdef CPP_ECRAD
        ok_3Deffect=.false.
